Bug 1297518 - Sahara installation fails with ArgumentError: Could not find declared class ::sahara::notify::rabbitmq
Sahara installation fails with ArgumentError: Could not find declared class :...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Javier Peña
Luigi Toscano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 13:42 EST by David Moreau Simard
Modified: 2016-03-11 12:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 12:19:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 258636 None None None 2016-01-12 07:37 EST

  None (edit)
Description David Moreau Simard 2016-01-11 13:42:07 EST
This commit in mitaka upstream broke Packstack sahara installation:
https://github.com/openstack/puppet-sahara/commit/77712dc9ac822b283683f574f891c6b1b8e2f368

When installing sahara (script I used: https://gist.githubusercontent.com/dmsimard/53f5e318dd4e1f7e568a/raw/e116432990277dfb598bc267b232918fc372969e/packstack.sh ), I get the following failure:
ERROR : Error appeared during Puppet run: 172.19.2.12_sahara.pp
Error: Puppet::Parser::AST::Resource failed with error ArgumentError: Could not find declared class ::sahara::notify::rabbitmq at /var/tmp/packstack/1f309f04f90044608b875e5509f29f71/manifests/172.19.2.12_sahara.pp:33 on node n12.crusty.ci.centos.org
You will find full trace in log /var/tmp/packstack/20160111-180223-WLljNG/manifests/172.19.2.12_sahara.pp.log

The notify class is attempted to be used here:
https://github.com/openstack/packstack/blob/0b7269da6a37ea81694be450546042d9971a02f6/packstack/puppet/templates/sahara_rabbitmq.pp#L15-L24
Comment 1 Javier Peña 2016-01-12 07:37:55 EST
This should be fixed by https://review.openstack.org/258636 (now merged).
Comment 2 Luigi Toscano 2016-03-11 12:19:51 EST
Sahara can be installed now.

Tested on up-to-date CentOS 7, with:

RDO Mitaka (DLRN snapshot):
openstack-packstack-8.0.0-0.20160303124552.0476b9b.el7.centos.noarch
openstack-packstack-puppet-8.0.0-0.20160303124552.0476b9b.el7.centos.noarch
openstack-sahara-api-4.0.0.0b4-0.20160304033733.6326f6c.el7.centos.noarch
openstack-sahara-common-4.0.0.0b4-0.20160304033733.6326f6c.el7.centos.noarch
openstack-sahara-engine-4.0.0.0b4-0.20160304033733.6326f6c.el7.centos.noarch
python-sahara-4.0.0.0b4-0.20160304033733.6326f6c.el7.centos.noarch

Note You need to log in before you can comment on or make changes to this bug.